Summary:	PrBoom - a version of classic 3D shoot-em-up game
Summary(pl.UTF-8):	PrBoom - wersja klasycznej strzelaniny 3D
Name:		prboom
Version:	2.5.0
Release:	4
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://downloads.sourceforge.net/prboom/%{name}-%{version}.tar.gz
# Source0-md5:	a8a15f61fa2626ab98051ab2703378c4
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-libpng.patch
URL:		http://prboom.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	SDL_mixer-devel >= 1.2.0
BuildRequires:	SDL_net-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	smpeg-devel
Obsoletes:	lsdldoom
Obsoletes:	lxdoom
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PrBoom is a version of the 3D shoot'em'up Doom, originally by Id
software. It is based on Boom, a version of Doom adapted by TeamTNT
(http://www.teamtnt.com/) for DOS. PrBoom uses the SDL library,
meaning it can run on a variety of different systems, including
Windows, X11, Linux/SVGALib.

Note that some orignal game files are required to use prboom.

%description -l pl.UTF-8
PrBoom jest wersją strzelaniny 3D Doom, napisanej przez Id Software.
Jest bazowana na Boom, wersji Doom zaadaptowanej przez TeamTNT
(http://www.teamtnt.com/) pod DOS. PrBoom używa biblioteki SDL, co
oznacza, że może działać na wielu systemach, w tym Windows, X11,
Linux/SVGALib.

Gra wymaga orygnalnych plików z gry do prawidłowego działania.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* autotools
%{__aclocal} -I autotools
%{__autoconf}
%{__automake}
%configure \
	--disable-cpu-opt
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	gamesdir=%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO doc/{*.txt,README*}
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[56]/*
%{_datadir}/games/doom
%{_pixmapsdir}/%{name}.png
%{_desktopdir}/%{name}.desktop
%changelog
* Fri Nov 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/prboom.git;a=log;h=master

* Fri Nov 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0c9a3b3
- fix install
- rel 4

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 871b38b
- release 3 (by relup.sh)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a7d8ef5
- release 2

* Mon Aug 23 2010 lisu <lisu@pld-linux.org> 266237f
- builds with newest libpng

* Mon Aug 23 2010 lisu <lisu@pld-linux.org> 71d90ad
- builds with libpng 1.4
- add note about required game data files

* Mon Nov 24 2008 lisu <lisu@pld-linux.org> ee3750b
- 2.5.0

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> ff02f12
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4a27910
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 73a01ab
- converted to UTF-8

* Fri Nov 24 2006 Elan Ruusamäe <glen@pld-linux.org> 4ec3ad1
- why rel 0.1?

* Thu Nov 23 2006 lisu <lisu@pld-linux.org> 6af448f
- up to 2.4.7
- License changed to GPL v2+

* Mon Oct 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 6451bab
- BR: OpenGL-GLU-devel

* Sun Oct 15 2006 lisu <lisu@pld-linux.org> bdd20e9
- up to 2.4.6

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> b9e6ff0
- orphaned, outdated

* Thu Sep 30 2004 kolodko <kolodko@pld-linux.org> da96f18
- added from Przemysław Białek <lobo (at) chello.pl>

* Thu Sep 30 2004 kolodko <kolodko@pld-linux.org> 6f5ce12
- up to 2.3.1 from Przemysław Białek <lobo (at) chello.pl>
  added desktop, icon

* Mon Apr 05 2004 Jakub Bogusz <qboosh@pld-linux.org> f958cfb
- refresh config.sub for amd64; release 2

* Wed Oct 08 2003 Jakub Bogusz <qboosh@pld-linux.org> c0dfe39
- updated to 2.3.0
- freedoom WAD moved to separate spec/package - it's optional
- added datadir patch to find prboom.wad in datadir, not only current directory

* Wed May 28 2003 Michal Moskal <michal@moskal.me> df6792f
- massive attack: source-md5

* Sun May 25 2003 Michal Moskal <michal@moskal.me> 32e7aae
- massive attack, adding Source-md5

